// ================================================
// WidgetPreference
// ================================================
function WidgetPreference() {
	LOG__("Object: WidgetPreference");
	if (!window.widget) {
		alert("Not found: window.widget");
		return;
	}

	this.keyPrefix = "widgetID-" + widget.identifier;
}

// Set the preference for key
WidgetPreference.prototype.setValue = function(value, key) {
	LOG2__("WidgetPreference.setValue:" + value + " forKey:" + key);
	if (!window.widget) return;

	widget.setPreferenceForKey(value, this.keyPrefix + "-" + key);
	widget.setPreferenceForKey(value, key);
}

// Get the preference for key
WidgetPreference.prototype.value = function(key) {
	LOG2__("WidgetPreference.value(for key):" + key);
	if (!window.widget) return null;

	var value = widget.preferenceForKey(this.keyPrefix + "-" + key);
	if (value == null)
		value = widget.preferenceForKey(key);

	return value;
}

// Remove preferences
WidgetPreference.prototype.removeMyPref = function() {
	if (!window.widget) return;

	widget.setPreferenceForKey(null, this.keyPrefix + "-pref");
	widget.setPreferenceForKey(null, this.keyPrefix + "-section");
	widget.setPreferenceForKey(null, this.keyPrefix + "-city");
	widget.setPreferenceForKey(null, this.keyPrefix + "-dispMode");
	widget.setPreferenceForKey(null, this.keyPrefix + "-styleNum");
}

